Tag Archive for 'ubuntu'

Ubuntu: old releases repositories

If your Ubuntu is too old and aptitude stopped working, showing 404 not found.

Add this to /etc/apt/sources.list, changing the CODENAME to your Ubuntu version.


## EOL upgrade sources.list
# Required
deb http://old-releases.ubuntu.com/ubuntu/ CODENAME main restricted universe multiverse
deb http://old-releases.ubuntu.com/ubuntu/ CODENAME-updates main restricted universe multiverse
deb http://old-releases.ubuntu.com/ubuntu/ CODENAME-security main restricted universe multiverse

# Optional
#deb http://old-releases.ubuntu.com/ubuntu/ CODENAME-backports main restricted universe multiverse

That’s enough.
Read more if you’re interested in.
https://help.ubuntu.com/community/EOLUpgrades
http://old-releases.ubuntu.com/releases/

Debian/Ubuntu: set default applications (both X11 and console)

To set the default web browser type:

sudo update-alternatives --config x-www-browser

This will lead to:

lexus@lexus:~$ sudo update-alternatives --config x-www-browser
There are 3 choices for the alternative x-www-browser (providing /usr/bin/x-www-browser).

  Selection    Path                    Priority   Status
------------------------------------------------------------
  0            /usr/bin/google-chrome   200       auto mode
* 1            /usr/bin/firefox         40        manual mode
  2            /usr/bin/google-chrome   200       manual mode
  3            /usr/bin/opera           200       manual mode

Press enter to keep the current choice[*], or type selection number: 

To set default editor:

update-alternatives --config editor

To edit (or leave with defaults) all variants, use:

sudo update-alternatives --all

passwd не меняет пароль

Наблюдал в Ubuntu 11.10.
При попытке поменять свой же (пользовательский) пароль командой passwd (а также при попытке поменять пароль юзера от рута) – выскакивало сообщение:

Ошибка при операциях с маркером проверки подлинности

и пароль не менялся.

Решение было найдено в инернете – нужно установить пакет libpam-cracklib и выполнить команду pam-auth-update (при запуске она выдала псевдо-меню с выбранными пунктами – я согласился с дефолтовыми вариантами и просто нажал Enter). Проблема решена.

gksu

Если не хотим пугать пользователя страшными командами в терминале, то заставить систему спросить его пароль можно использовав команду gksuGTK+ frontend for su and sudo. Вот как будет выглядеть запуск synaptic из строки по нажатию Alt-F2 и вписанной туда магической командой

gksu synaptic

Открыть видеофайл .mts в Linux

Цифровые камеры могут сохранять видео  в формате .mts. Чтобы открыть его в Линуксе, сначала конвертируем его в .mpg  , потом открываем например SMPlayer’ом:

mencoder -oac copy -ovc lavc -of mpeg -mpegopts format=dvd -vf scale=720:576,harddup -lavcopts vcodec=mpeg2video:vrc_buf_size=1835:vrc_maxrate=9800:vbitrate=5000:keyint=15:aspect=16/9:threads=4 input-file.mts -ofps 50 -fps 50 -o output_file.mpg

Также можно использовать скрипт. Условие такое – он должен лежать в домашней папке. И файлы .mts/.MTS тоже должны лежать в ней.

#!/bin/bash

for i in *.{mts,MTS}; do
mencoder -oac copy -ovc lavc -of mpeg -mpegopts format=dvd -vf scale=720:576,harddup -lavcopts vcodec=mpeg2video:vrc_buf_size=1835:vrc_maxrate=9800:vbitrate=5000:keyint=15:aspect=16/9:threads=4 $i -ofps 50 -fps 50 -o `basename $i`.mpg $i
done

Ubuntu: отключить автозапуск сервиса

И снова тут всё не в как привычной мне Slackware :)

update-rc.d apache disable

http://askubuntu.com/questions/27134/disable-autostart-for-a-service-without-uninstalling

Меняем локаль в Ubuntu

В разных дистрибутивах делается по-разному.

В Ubuntu – правим /etc/default/locale .

Посмотреть список возможных локалей можно так: locale -a .

Что доустанавливает HPLIP в Ubuntu ?

Проверяет и , если не установлено, ставит:

sudo apt-get install python-dev libcups2-dev cups cups-bsd cups-client cups libusb-dev libtool libcupsimage2-dev libjpeg62-dev openssl libsnmp-dev python-qt4-dbus python-qt4 python-reportlab libdbus-1-dev libsane-dev xsane

А также проверяет, есть ли cups

Java в Firefox, Ubuntu

Для работы Java в браузере в Ubuntu , устанавливаем пакет icedtea-plugin (может называться icedtea6-plugin в более старых версиях).

Перезапускаем браузер, пользуемcя.

Установка/смена языка интерфейса в Ubuntu

Столкнулся с ситуацией, когда в меню GNOME не смог найти – где же выбирать/устанавливать локализацию интерфейса.

В этом случае нас спасёт команда gnome-language-selector , которая откроет нужное нам приложение выбора языка интерфейса.

 

gnome-language-selector

 

Иногда бывает, что выбранный и (до)установленный язык не применяется к системе. В таком случае, его нужно перетащить мышкой в списке на самый верх, после чего перезагрузить компьютер.